POST
/
api
/
applications
/
{application_id}
/
documents
Upload Document
curl --request POST \
  --url https://monitoring.safeturf.ai/api/applications/{application_id}/documents \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'Content-Type: application/json' \
  --data '{}'
Uploads a file to Google Drive and records it with its type. Call once per document.
application_id
string
required
Application UUID.
document_type
string
required
w9 | articles_of_incorporation | irs_verification_letter | voided_check | code_of_conduct | human_rights_policy | other
uploaded_by
string
default:"applicant"
file
file
required
Multipart file upload.
curl -X POST "https://monitoring.safeturf.ai/api/applications/550e8400.../documents?document_type=voided_check" \
  -H "Authorization: Bearer <token>" \
  -F "file=@check.pdf"
{
  "id": "doc-uuid",
  "document_type": "voided_check",
  "filename": "check.pdf",
  "gdrive_url": "https://drive.google.com/...",
  "created_at": "2025-03-10T13:00:00+00:00"
}